Subject: Re: bug#59064: 29.0.50; build problem git worktree linked to main worktree (repo)

From: Gregor Zattler <[email-masked]>
Date: Sun, 06 Nov 2022 15:59:08 +0100

Hi Matt, emacs developers,
* Gregor Zattler <[email-masked]> [2022-11-06; 12:30 +01]:
> * Matt Armstrong <[email-masked]> [2022-11-05; 17:04 -07]:
>> I think the next thing to do is to figure out if either:
>>
>> a) This can reproduce this on a Debian/testing or Debian/sid system.  Is
>> it easy for you to spin up a VM to do this?  If so, it would be useful
>> to know if this is related to the Debian version, as you are likely to
>> use steps similar to what you've already done.
>
> I used to use VirtualBox, but since this is not part of
> Debian stable, I will use this opportunity to learn how to
> use KVM.  This will take some time, I will report back.

I did so, the results for bookworm are the same:  build in
detached linked worktree linked to main worktree fails,
build in non-detached linked worktree linked to main
worktree succeeds.

Meanwhile on the bullseye server I tested the same with the
sources from emacs-28.2.  There was no failure building
theses in an detached linked worktree, linked to a main
worktree.

I will try to bisect.  But since I have no clue regarding
the build system I only hope that this will not hit other
build failures in between.  This will take days...

Ciao; Gregor
--
 -... --- .-. . -.. ..--.. ...-.-